Subject: Static Route Parts are not reset
Description

StaticRoutePart::resolve() sets the value to the route parts name (= the corresponding URI part).
RoutePart::match() merges the route parts value into the resulting request arguments. The value of the route part must be reset to
NULL before the route parth is processed.
The StaticRoutePart currently fails to do so. Usually this has no effect because match() is always called before resolve() but it fails
when using FLOW3 with an app server like AiP.

Associated revisions
Revision 9d03bb52 - 2011-10-04 13:09 - Bastian Waidelich

[BUGFIX] Static Route Parts are not reset

StaticRoutePart::resolve() sets the value to the route parts
name (= the corresponding URI part).
RoutePart::match() merges the route parts value into the
resulting request arguments. The value of the route part must be
reset to NULL before the route parth is processed.
The StaticRoutePart currently fails to do so. Usually this has
no effect because match() is always called before resolve() but
it fails when using FLOW3 with an app server like AiP.

Change-Id: Ide104658cb1c822e58768200092c30dd0b356e33
Resolves: #30542

History
#1 - 2011-10-04 13:08 - Bastian Waidelich
- Subject changed from Static Route Parts are not reset before matching URIs to Static Route Parts are not reset

#2 - 2011-10-04 13:10 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change Ide104658cb1c822e58768200092c30dd0b356e33 has been pushed to the review server.
It is available at http://review.typo3.org/5528

#3 - 2011-10-04 19:05 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9d03bb5259c34403d95f7048da9c80e8a7fb7543.

#4 - 2011-10-20 01:37 - Karsten Dambekalns
- Target version changed from 1230 to 1.0.0
